const express = require('express');
const app = new express();
const gamePlugin = require('./gamePlugin');

app.use('/neutrino', require('./routes.js')(express));

const carromsGame = function() {
};

carromsGame.prototype.handler = app;

// add plugins
for (let plugin of Object.keys(gamePlugin)) {
  if (typeof gamePlugin[plugin] === 'function')
    carromsGame.prototype[plugin] = gamePlugin[plugin];
}
module.exports = carromsGame;
